Summary:	A challenging 2D motocross platform game
Name:		xmoto
Version:	0.5.9
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Arcade
Url:		http://xmoto.sourceforge.net/
Source0:	http://download.tuxfamily.org/xmoto/xmoto/%{version}/%{name}-%{version}-src.tar.xz
Source1:	%{name}.png
BuildRequires:	bison
BuildRequires:	ImageMagick
BuildRequires:	%{_lib}bzip2-devel
BuildRequires:	%{_lib}curl-devel
BuildRequires:	%{_lib}jpeg62-devel
BuildRequires:	%{_lib}lua-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	%{_lib}ode-devel
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}SDL_mixer1.2-devel
BuildRequires:	%{_lib}SDL_net-devel
BuildRequires:	%{_lib}SDL_ttf-devel
BuildRequires:	%{_lib}sqlite3-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
X-Moto is a challenging 2D motocross platform game, where physics play
an all important role in the gameplay. You need to control your bike
to its limit, if you want to have a chance finishing the more
difficult of the challenges.
First you'll try just to complete the levels, while later you'll
compete with yourself and others, racing against the clock.

%prep
%setup -q

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--with-localesdir=%{_datadir}/locale \
	--disable-rpath \
	--enable-threads=pth \
	--with-renderer-openGl=1 \
	--with-unoptimized=0 \
        --with-internal-xdg=1

%make

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=X-Moto
Comment=Motocross platform game
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/*


%changelog
* Tue Nov 15 2011 Texstar <texstar at gmail.com> 0.5.9-1pclos2011
- 0.5.9

* Thu Nov 03 2011 Texstar <texstar at gmail.com> 0.5.7-1pclos2011
- 0.5.7

* Tue Oct 06 2011 Archie <pclinuxos.ph at gmail.com> 0.5.5-2pclos2011
- Rebuild for x86_64

* Wed Mar 09 2011 Texstar <texstar at gmail.com> 0.5.5-1pclos2011
- 0.5.5

* Fri Apr 16 2010 johnnyblack <johnnyblack at inbox.com> 0.5.2-1pclos2010
- re-import to due drive failure

